<div class="waste-bin-skeleton-container">
  <ion-card class="waste-card">
    <ion-grid>
      <ion-row class="ion-card-row">
        <ion-col size="10" class="text-content">
          <ion-skeleton-text
            [animated]="true"
            class="bin-header"
          ></ion-skeleton-text>
          <div>
            <ion-skeleton-text
              [animated]="true"
              class="bin-collection"
            ></ion-skeleton-text>
          </div>
          <ion-skeleton-text [animated]="true" class="sub-text-collection">
          </ion-skeleton-text>
          <ion-skeleton-text [animated]="true" class="sub-text-collection">
          </ion-skeleton-text>
        </ion-col>
        <ion-col class="content-col-container" size="2">
          <ion-skeleton-text [animated]="true" class="site-content">
          </ion-skeleton-text>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-card>
  <ion-col class="content-col">
    <ion-row class="ion-justify-content-center">
      <div class="header">
        {{ 'feature_waste.dashboard.next_dates' | transloco }}
      </div>
    </ion-row>
    <ion-card
      class="waste-card"
      *ngFor="let _ of [].constructor(3); let i = index"
    >
      <ion-grid>
        <ion-row class="ion-card-row">
          <ion-col size="10" class="text-content">
            <ion-skeleton-text [animated]="true" class="bin-header">
            </ion-skeleton-text>
            <div>
              <ion-skeleton-text
                [animated]="true"
                class="bin-collection"
              ></ion-skeleton-text>
            </div>
            <ion-skeleton-text [animated]="true" class="sub-text-collection">
            </ion-skeleton-text>
          </ion-col>
          <ion-col class="content-col-container" size="2">
            <ion-skeleton-text [animated]="true" class="site-content">
            </ion-skeleton-text>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-card>
  </ion-col>
</div>
